libwps Namespace Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Namespaces | Classes | Enumerations | Functions
libwps Namespace Reference

## Namespaces
| Debug

## Classes
class | DebugFile
class | DebugStream
class | FileException
class | GenericException
class | ParseException
class | VersionException
class | WPSDocument
| This class provides all the functions an application would need to parse Works documents. More...

## Enumerations
enum | NumberingType { NONE, BULLET, ARABIC, LOWERCASE, UPPERCASE, LOWERCASE_ROMAN, UPPERCASE_ROMAN }
enum | SubDocumentType { DOC_NONE, DOC_HEADER_FOOTER, DOC_NOTE, DOC_TABLE, DOC_TEXT_BOX, DOC_COMMENT_ANNOTATION }
enum | Justification { JustificationLeft, JustificationFull, JustificationCenter, JustificationRight, JustificationFullAllLines }
enum | { NoBreakBit = 0x1, NoBreakWithNextBit =0x2 }
enum | WPSConfidence { WPS_CONFIDENCE_NONE =0, WPS_CONFIDENCE_EXCELLENT }
enum | WPSKind { WPS_TEXT =0, WPS_SPREADSHEET, WPS_DATABASE }
enum | WPSResult { WPS_OK, WPS_FILE_ACCESS_ERROR, WPS_PARSE_ERROR, WPS_OLE_ERROR, WPS_UNKNOWN_ERROR }

## Functions
uint8_t | readU8 (librevenge::RVNGInputStream *input)
int8_t | read8 (librevenge::RVNGInputStream *input)
uint16_t | readU16 (librevenge::RVNGInputStream *input)
int16_t | read16 (librevenge::RVNGInputStream *input)
uint32_t | readU32 (librevenge::RVNGInputStream *input)
int32_t | read32 (librevenge::RVNGInputStream *input)
bool | readData (RVNGInputStreamPtr &input, unsigned long size, librevenge::RVNGBinaryData &data)
bool | readDataToEnd (RVNGInputStreamPtr &input, librevenge::RVNGBinaryData &data)
std::string | numberingTypeToString (NumberingType type)
uint8_t | readU8 (RVNGInputStreamPtr &input)
uint16_t | readU16 (RVNGInputStreamPtr &input)
uint32_t | readU32 (RVNGInputStreamPtr &input)
int8_t | read8 (RVNGInputStreamPtr &input)
int16_t | read16 (RVNGInputStreamPtr &input)
int32_t | read32 (RVNGInputStreamPtr &input)

## Enumeration Type Documentation

anonymous enum

Enumerator
NoBreakBit |
NoBreakWithNextBit |

enum libwps::Justification

Enumerator
JustificationLeft |
JustificationFull |
JustificationCenter |
JustificationRight |
JustificationFullAllLines |

enum libwps::NumberingType

Enumerator
NONE |
BULLET |
ARABIC |
LOWERCASE |
UPPERCASE |
LOWERCASE_ROMAN |
UPPERCASE_ROMAN |

enum libwps::SubDocumentType

Enumerator
DOC_NONE |
DOC_HEADER_FOOTER |
DOC_NOTE |
DOC_TABLE |
DOC_TEXT_BOX |
DOC_COMMENT_ANNOTATION |

enum libwps::WPSConfidence

Enumerator
WPS_CONFIDENCE_NONE |
WPS_CONFIDENCE_EXCELLENT |

enum libwps::WPSKind

Enumerator
WPS_TEXT |
WPS_SPREADSHEET |
WPS_DATABASE |

enum libwps::WPSResult

Enumerator
WPS_OK |
WPS_FILE_ACCESS_ERROR |
WPS_PARSE_ERROR |
WPS_OLE_ERROR |
WPS_UNKNOWN_ERROR |

## Function Documentation

std::string libwps::numberingTypeToString | ( | NumberingType | type | ) |

Referenced by WPSPageSpan::_insertPageNumberParagraph(), WPSList::Level::addTo(), WPSContentListener::insertField(), and WKSContentListener::insertField().

int16_t libwps::read16 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by WPS8Text::bmktEndDataParser(), WKS4Parser::checkHeader(), WPS4Text::dttmDataParser(), WPS4Parser::findZones(), WPS8Text::getFooterEntry(), WPS8Text::getHeaderEntry(), WPS4Text::objectDataParser(), WPS8Struct::operator<<(), WPS8Parser::parseHeaderIndex(), WPS8Parser::parseHeaderIndexEntry(), WPS8Parser::parseHeaderIndexEntryEnd(), read16(), WPS8Graph::readBDR(), WKS4Spreadsheet::readCell(), WKS4Spreadsheet::readCellFormulaResult(), WKS4Parser::readChart2Font(), WKS4Parser::readChartDef(), WKS4Parser::readChartFont(), WKS4Parser::readChartLimit(), WKS4Parser::readChartList(), WKS4Parser::readChartName(), WKS4Parser::readChartUnknown(), WKS4Spreadsheet::readColumnSize(), WKS4Spreadsheet::readColumnSize2(), WPS8Parser::readDocProperties(), WPS4Parser::readDocWindowsInfo(), WKS4Spreadsheet::readDOSCellExtraProperty(), WKS4Spreadsheet::readDOSCellProperty(), WKS4Spreadsheet::readDOSFieldProperty(), WKS4Spreadsheet::readDOSPageBreak(), WPSTextParser::readFDP(), WKS4Parser::readFieldName(), WKS4Parser::readFont(), WKS4Spreadsheet::readFormula(), WPS8Parser::readFRAM(), WKS4Parser::readHeaderFooter(), WPS8Graph::readIBGF(), WPS8Table::readMCLD(), WPS8Graph::readMetaFile(), WPSOLEParser::readMM(), WPS8Text::readNotes(), WPS4Graph::readObject(), WPSOLEParser::readObjInfo(), WPSOLEParser::readOlePres(), WKS4Spreadsheet::readPageBreak(), WPS4Text::readParagraph(), WPS8Text::readPLC(), WKS4Parser::readPrn2(), WKS4Parser::readPrnt(), WKS4Spreadsheet::readReportOpen(), WKS4Spreadsheet::readRowSize2(), WPS8TextStyle::readSGP(), WKS4Spreadsheet::readSheetSize(), WKS4Spreadsheet::readStyle(), WKS4Parser::readUnknown0(), WKS4Parser::readUnknown1(), WPS8Parser::readWNPR(), WKS4Parser::readZone(), and WPS8Text::tokenEndDataParser().

int16_t libwps::read16 | ( | RVNGInputStreamPtr & | input | ) |
| inline

int32_t libwps::read32 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by WPS8Text::bmktEndDataParser(), WPS4Parser::findZones(), WPSOLEParser::isOle10Native(), WPSOLEParser::isOlePres(), read32(), WPSOLEParser::readCompObj(), WPSOLEParser::readContents(), WPSOLEParser::readCONTENTS(), WPS8Struct::readData(), WPS4Parser::readDocWindowsInfo(), WPS4Text::readEntries(), WPS8TextStyle::readFontNames(), WPS8Parser::readFRAM(), WPS8Table::readMCLD(), WPS8Graph::readMetaFile(), WPS8Text::readNotes(), WPS4Graph::readObject(), WPSOLEParser::readOle10Native(), WPSOLEParser::readOlePres(), WPS8Text::readPLC(), WKS4Parser::readPrn2(), WPS4Parser::readPrnt(), WPS8TextStyle::readSTSH(), WPS8Parser::readSYID(), WPS8Parser::readWNPR(), and WPS8Text::tokenEndDataParser().

int32_t libwps::read32 | ( | RVNGInputStreamPtr & | input | ) |
| inline

int8_t libwps::read8 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by WKS4Parser::checkHeader(), WPS4Parser::findZones(), read8(), WPS8Graph::readBDR(), WKS4Spreadsheet::readCell(), WKS4Parser::readChartDef(), WKS4Parser::readChartList(), WPS4Parser::readDocWindowsInfo(), WKS4Spreadsheet::readDOSPageBreak(), WKS4Parser::readFieldName(), WPS4Text::readFont(), WPS8TextStyle::readFontNames(), WKS4Spreadsheet::readFormula(), WKS4Parser::readHeaderFooter(), WPS8Text::readNotes(), WPSOLEParser::readOle(), WPS4Text::readParagraph(), WPS8Text::readPLC(), WKS4Parser::readUnknown1(), and WKS4Parser::readZone().

int8_t libwps::read8 | ( | RVNGInputStreamPtr & | input | ) |
| inline

bool libwps::readData | ( | RVNGInputStreamPtr & | input,
|  | unsigned long | size,
|  | librevenge::RVNGBinaryData & | data
| ) |  |

Referenced by WPSOLEParser::readContents(), readDataToEnd(), WPS8Graph::readMetaFile(), WPS4Graph::readObject(), WPSOLEParser::readOle10Native(), and WPSOLEParser::readOlePres().

bool libwps::readDataToEnd | ( | RVNGInputStreamPtr & | input,
|  | librevenge::RVNGBinaryData & | data
| ) |  |

Referenced by WPS8Parser::createOLEStructures(), WPS4Parser::createOLEStructures(), WPSOLEParser::readCONTENTS(), and WPSOLEParser::readMN0AndCheckWKS().

uint16_t libwps::readU16 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by WPS8Text::bmktEndDataParser(), WPSHeader::constructHeader(), WPS8Struct::FileData::createErrorString(), WPS4Text::defDataParser(), WPS4Text::dttmDataParser(), WPS4Parser::findZones(), WPS4Text::footNotesDataParser(), WPS8Text::numPages(), WPS8Struct::operator<<(), WPS4Parser::parseEntry(), WPS8Parser::parseHeaderIndex(), WPS8Parser::parseHeaderIndexEntry(), read16(), WPS8Struct::readBlockData(), WKS4Spreadsheet::readCell(), WKS4Spreadsheet::readCellFormulaResult(), WKS4Parser::readChart2Font(), WKS4Parser::readChartDef(), WKS4Parser::readChartFont(), WKS4Parser::readChartLimit(), WKS4Parser::readChartList(), WKS4Parser::readChartName(), WKS4Parser::readChartUnknown(), WKS4Spreadsheet::readColumnSize(), WKS4Spreadsheet::readColumnSize2(), WPSOLEParser::readCompObj(), WPSOLEParser::readCONTENTS(), WPS8Struct::readData(), WPS4Parser::readDocDim(), WPS8Parser::readDocProperties(), WKS4Spreadsheet::readDOSCellExtraProperty(), WKS4Spreadsheet::readDOSCellProperty(), WKS4Spreadsheet::readDOSFieldProperty(), WPS4Text::readDosLink(), WKS4Spreadsheet::readDOSPageBreak(), WPSTextParser::readFDP(), WKS4Parser::readFieldName(), WKS4Spreadsheet::readFilterClose(), WKS4Spreadsheet::readFilterOpen(), WKS4Spreadsheet::readFloat4(), WKS4Parser::readFont(), WPS8TextStyle::readFontNames(), WKS4Spreadsheet::readFormula(), WKS4Parser::readHeaderFooter(), WPSOLEParser::readMM(), WPS4Graph::readObject(), WKS4Spreadsheet::readPageBreak(), WPS4Text::readPLC(), WPS8Text::readPLC(), WKS4Parser::readPrn2(), WKS4Parser::readPrnt(), WKS4Spreadsheet::readReportClose(), WKS4Spreadsheet::readReportOpen(), WKS4Spreadsheet::readRowSize2(), WKS4Spreadsheet::readSheetSize(), WPS8Text::readString(), WPS8TextStyle::readSTSH(), WKS4Spreadsheet::readStyle(), WPS8Text::readText(), readU16(), WKS4Parser::readUnknown0(), WKS4Parser::readUnknown1(), WPS8Text::readUTF16LE(), WPS8Parser::readWNPR(), WKS4Parser::readZone(), and WKS4Parser::readZones().

uint16_t libwps::readU16 | ( | RVNGInputStreamPtr & | input | ) |
| inline

uint32_t libwps::readU32 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by WPS8Text::bmktEndDataParser(), WPS4Text::defDataParser(), WPS4Text::findFDPStructuresByHand(), WPS4Parser::findZones(), WPS4Text::objectDataParser(), WPS8Struct::operator<<(), WPS4Parser::parseEntry(), WPS8Parser::parseHeaderIndex(), WPS8Parser::parseHeaderIndexEntry(), read32(), WPS8Graph::readBDR(), WPSOLEParser::readCompObj(), WPSOLEParser::readContents(), WPSOLEParser::readCONTENTS(), WPS4Parser::readDocWindowsInfo(), WPS4Text::readEntries(), WPSTextParser::readFDP(), WPS8TextStyle::readFontNames(), WPS8Table::readMCLD(), WPS8Text::readNotes(), WPS4Graph::readObject(), WPSOLEParser::readOlePres(), WPS8Graph::readPICT(), WPS4Text::readPLC(), WPS8Text::readPLC(), WPS4Parser::readPrnt(), readU32(), WPS8Parser::readWNPR(), WKS4Parser::readZone(), and WPS8Text::tokenEndDataParser().

uint32_t libwps::readU32 | ( | RVNGInputStreamPtr & | input | ) |
| inline

uint8_t libwps::readU8 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by WPS4Text::bkmkDataParser(), WKS4Parser::checkHeader(), WPS4Parser::checkHeader(), WPSHeader::constructHeader(), WPS8Struct::FileData::createErrorString(), WPS4Text::defDataParser(), WPS4Text::findFDPStructuresByHand(), WPS4Text::footNotesDataParser(), WPS4Text::numPages(), WPS8Struct::operator<<(), WPS8Parser::parseHeaderIndexEntry(), read8(), WKS4Spreadsheet::readCell(), WKS4Spreadsheet::readCellFormulaResult(), WKS4Parser::readChart2Font(), WKS4Parser::readChartDef(), WKS4Parser::readChartFont(), WKS4Parser::readChartName(), WKS4Parser::readChartUnknown(), WKS4Spreadsheet::readColumnSize(), WPSOLEParser::readCompObj(), WPSOLEParser::readCONTENTS(), WPS8Struct::readData(), WPS4Parser::readDocWindowsInfo(), WKS4Spreadsheet::readDOSCellExtraProperty(), WKS4Spreadsheet::readDOSCellProperty(), WKS4Spreadsheet::readDOSFieldProperty(), WPS4Text::readDosLink(), WPSTextParser::readFDP(), WKS4Spreadsheet::readFloat4(), WKS4Parser::readFont(), WPS4Text::readFont(), WPS4Text::readFontNames(), WKS4Spreadsheet::readFormula(), WPS8Graph::readIBGF(), WKS4Spreadsheet::readNumber(), WPS4Graph::readObject(), WPSOLEParser::readOlePres(), WPS4Text::readParagraph(), WPS8Graph::readPICT(), WPS4Text::readPLC(), WPS8Text::readPLC(), WPS4Parser::readPrnt(), WKS4Spreadsheet::readReportOpen(), WKS4Spreadsheet::readStyle(), WPS4Text::readText(), readU16(), readU32(), readU8(), WPS8Parser::readWNPR(), WKS4Parser::readZone(), and WKS4Spreadsheet::sendCellContent().

uint8_t libwps::readU8 | ( | RVNGInputStreamPtr & | input | ) |
| inline